Bug 1644816 - Onscreen keyboard does nothing in lightdm
Summary: Onscreen keyboard does nothing in lightdm
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: slick-greeter
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-31 16:15 UTC by Stuart D Gathman
Modified: 2018-11-22 03:20 UTC (History)
4 users (show)

Fixed In Version: slick-greeter-1.2.2-4.fc28 slick-greeter-1.2.2-4.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-31 17:28:30 UTC


Attachments (Terms of Use)

Description Stuart D Gathman 2018-10-31 16:15:51 UTC
Description of problem:
On a cinnamon desktop install, onscreen keyboard option on lightdm login screen does nothing.

Version-Release number of selected component (if applicable):
lightdm-1.28.0-2.fc28.x86_64
cinnamon-3.8.9-1.fc28.x86_64

How reproducible:
always

Steps to Reproduce:
1. Enable onscreen keyboard in cinnamon
2. Restart
3. Select "Onscreen keyboard" option in accessibility dropdown in lightdm

Actual results:
nada

Expected results:
onscreen keyboard

Additional info:
The keyboard works great once you are logged into cinnamon.  I wonder if a different package enables the lightdm keyboard...

Comment 1 leigh scott 2018-10-31 17:28:30 UTC
It's intentional that onboard isn't installed as it sucks, if you need the function you will need to install it.

sudo dnf install onboard

Comment 2 Stuart D Gathman 2018-10-31 19:13:47 UTC
Some mention of that in the config comments would be very helpful.  The login keyboard does suck, but it is only needed to type a password, so not a very great trial: less so that digging up a USB keyboard to plug in temporarily to login with one hand.

Comment 3 leigh scott 2018-10-31 20:22:11 UTC
(In reply to Stuart D Gathman from comment #2)
> Some mention of that in the config comments would be very helpful.

Your welcome to submit a pull request as notes are bottom of my very long to do list.

> The login keyboard does suck, but it is only needed to type a password, so not > a very great trial:

Onboard doesn't always release it's key grab after login, I call that a major issue.


> less so that digging up a USB keyboard to plug in
> temporarily to login with one hand.

Touch screen users aren't my target audience, my aim is the desktop or workstation.

Comment 4 Stuart D Gathman 2018-11-01 02:25:16 UTC
The target audience is handicapped users.

Comment 5 leigh scott 2018-11-01 07:25:15 UTC
(In reply to Stuart D Gathman from comment #4)
> The target audience is handicapped users.

Don't bother trying to appeal to me as I have very low EQ!

Comment 6 Fedora Update System 2018-11-01 14:08:56 UTC
slick-greeter-1.2.2-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-de8bb58bdb

Comment 7 Fedora Update System 2018-11-01 14:09:04 UTC
slick-greeter-1.2.2-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d74ef49c84

Comment 8 Fedora Update System 2018-11-02 23:41:23 UTC
slick-greeter-1.2.2-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d74ef49c84

Comment 9 Fedora Update System 2018-11-03 00:54:20 UTC
slick-greeter-1.2.2-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-de8bb58bdb

Comment 10 Fedora Update System 2018-11-15 01:04:14 UTC
cinnamon-4.0.1-2.fc29 cinnamon-control-center-4.0.0-1.fc29 cinnamon-desktop-4.0.1-1.fc29 cinnamon-menus-4.0.0-1.fc29 cinnamon-screensaver-4.0.1-1.fc29 cinnamon-session-4.0.0-1.fc29 cinnamon-settings-daemon-4.0.1-1.fc29 cinnamon-translations-4.0.0-1.fc29 cjs-4.0.0-1.fc29 mint-themes-1.7.4-0.2.20181112gitb94b890.fc29 muffin-4.0.1-1.fc29 nemo-4.0.1-1.fc29 nemo-extensions-4.0.0-1.fc29 python-xapp-1.4.0-1.fc29 slick-greeter-1.2.2-4.fc29 xapps-1.4.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e4152e83b1

Comment 11 Fedora Update System 2018-11-15 01:10:15 UTC
cinnamon-4.0.1-2.fc28 cinnamon-control-center-4.0.0-1.fc28 cinnamon-desktop-4.0.1-1.fc28 cinnamon-menus-4.0.0-1.fc28 cinnamon-screensaver-4.0.1-1.fc28 cinnamon-session-4.0.0-1.fc28 cinnamon-settings-daemon-4.0.1-1.fc28 cinnamon-translations-4.0.0-1.fc28 cjs-4.0.0-1.fc28 mint-themes-1.7.4-0.2.20181112gitb94b890.fc28 muffin-4.0.1-1.fc28 nemo-4.0.1-1.fc28 nemo-extensions-4.0.0-1.fc28 python-xapp-1.4.0-1.fc28 slick-greeter-1.2.2-4.fc28 xapps-1.4.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-38c9f1b317

Comment 12 Fedora Update System 2018-11-16 05:51:14 UTC
cinnamon-4.0.1-2.fc29, cinnamon-control-center-4.0.0-1.fc29, cinnamon-desktop-4.0.1-1.fc29, cinnamon-menus-4.0.0-1.fc29, cinnamon-screensaver-4.0.1-1.fc29, cinnamon-session-4.0.0-1.fc29, cinnamon-settings-daemon-4.0.1-1.fc29, cinnamon-translations-4.0.0-1.fc29, cjs-4.0.0-1.fc29, mint-themes-1.7.4-0.2.20181112gitb94b890.fc29, muffin-4.0.1-1.fc29, nemo-4.0.1-1.fc29, nemo-extensions-4.0.0-2.fc29, python-xapp-1.4.0-1.fc29, slick-greeter-1.2.2-4.fc29, xapps-1.4.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e4152e83b1

Comment 13 Fedora Update System 2018-11-16 05:59:00 UTC
cinnamon-4.0.1-2.fc28, cinnamon-control-center-4.0.0-1.fc28, cinnamon-desktop-4.0.1-1.fc28, cinnamon-menus-4.0.0-1.fc28, cinnamon-screensaver-4.0.1-1.fc28, cinnamon-session-4.0.0-1.fc28, cinnamon-settings-daemon-4.0.1-1.fc28, cinnamon-translations-4.0.0-1.fc28, cjs-4.0.0-1.fc28, mint-themes-1.7.4-0.2.20181112gitb94b890.fc28, muffin-4.0.1-1.fc28, nemo-4.0.1-1.fc28, nemo-extensions-4.0.0-2.fc28, python-xapp-1.4.0-1.fc28, slick-greeter-1.2.2-4.fc28, xapps-1.4.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-38c9f1b317

Comment 14 Fedora Update System 2018-11-20 18:29:44 UTC
cinnamon-4.0.2-1.fc29 cinnamon-control-center-4.0.0-1.fc29 cinnamon-desktop-4.0.1-1.fc29 cinnamon-menus-4.0.0-1.fc29 cinnamon-screensaver-4.0.1-1.fc29 cinnamon-session-4.0.0-1.fc29 cinnamon-settings-daemon-4.0.2-1.fc29 cinnamon-translations-4.0.0-1.fc29 cjs-4.0.0-1.fc29 mint-themes-1.7.4-0.2.20181112gitb94b890.fc29 muffin-4.0.2-1.fc29 nemo-4.0.2-1.fc29 nemo-extensions-4.0.0-2.fc29 python-xapp-1.4.0-1.fc29 slick-greeter-1.2.2-4.fc29 xapps-1.4.2-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e4152e83b1

Comment 15 Fedora Update System 2018-11-20 18:35:24 UTC
cinnamon-4.0.2-1.fc28 cinnamon-control-center-4.0.0-1.fc28 cinnamon-desktop-4.0.1-1.fc28 cinnamon-menus-4.0.0-1.fc28 cinnamon-screensaver-4.0.1-1.fc28 cinnamon-session-4.0.0-1.fc28 cinnamon-settings-daemon-4.0.2-1.fc28 cinnamon-translations-4.0.0-1.fc28 cjs-4.0.0-1.fc28 mint-themes-1.7.4-0.2.20181112gitb94b890.fc28 muffin-4.0.2-1.fc28 nemo-4.0.2-1.fc28 nemo-extensions-4.0.0-2.fc28 python-xapp-1.4.0-1.fc28 slick-greeter-1.2.2-4.fc28 xapps-1.4.2-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-38c9f1b317

Comment 16 Fedora Update System 2018-11-21 04:31:16 UTC
cinnamon-4.0.2-1.fc28, cinnamon-control-center-4.0.0-1.fc28, cinnamon-desktop-4.0.1-1.fc28, cinnamon-menus-4.0.0-1.fc28, cinnamon-screensaver-4.0.1-1.fc28, cinnamon-session-4.0.0-1.fc28, cinnamon-settings-daemon-4.0.2-1.fc28, cinnamon-translations-4.0.0-1.fc28, cjs-4.0.0-1.fc28, mint-themes-1.7.4-0.2.20181112gitb94b890.fc28, muffin-4.0.2-1.fc28, nemo-4.0.2-1.fc28, nemo-extensions-4.0.0-2.fc28, python-xapp-1.4.0-1.fc28, slick-greeter-1.2.2-4.fc28, xapps-1.4.2-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-38c9f1b317

Comment 17 Fedora Update System 2018-11-21 05:10:24 UTC
cinnamon-4.0.2-1.fc29, cinnamon-control-center-4.0.0-1.fc29, cinnamon-desktop-4.0.1-1.fc29, cinnamon-menus-4.0.0-1.fc29, cinnamon-screensaver-4.0.1-1.fc29, cinnamon-session-4.0.0-1.fc29, cinnamon-settings-daemon-4.0.2-1.fc29, cinnamon-translations-4.0.0-1.fc29, cjs-4.0.0-1.fc29, mint-themes-1.7.4-0.2.20181112gitb94b890.fc29, muffin-4.0.2-1.fc29, nemo-4.0.2-1.fc29, nemo-extensions-4.0.0-2.fc29, python-xapp-1.4.0-1.fc29, slick-greeter-1.2.2-4.fc29, xapps-1.4.2-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e4152e83b1

Comment 18 Fedora Update System 2018-11-22 02:22:24 UTC
cinnamon-4.0.2-1.fc28, cinnamon-control-center-4.0.0-1.fc28, cinnamon-desktop-4.0.1-1.fc28, cinnamon-menus-4.0.0-1.fc28, cinnamon-screensaver-4.0.1-1.fc28, cinnamon-session-4.0.0-1.fc28, cinnamon-settings-daemon-4.0.2-1.fc28, cinnamon-translations-4.0.0-1.fc28, cjs-4.0.0-1.fc28, mint-themes-1.7.4-0.2.20181112gitb94b890.fc28, muffin-4.0.2-1.fc28, nemo-4.0.2-1.fc28, nemo-extensions-4.0.0-2.fc28, python-xapp-1.4.0-1.fc28, slick-greeter-1.2.2-4.fc28, xapps-1.4.2-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2018-11-22 03:20:22 UTC
cinnamon-4.0.2-1.fc29, cinnamon-control-center-4.0.0-1.fc29, cinnamon-desktop-4.0.1-1.fc29, cinnamon-menus-4.0.0-1.fc29, cinnamon-screensaver-4.0.1-1.fc29, cinnamon-session-4.0.0-1.fc29, cinnamon-settings-daemon-4.0.2-1.fc29, cinnamon-translations-4.0.0-1.fc29, cjs-4.0.0-1.fc29, mint-themes-1.7.4-0.2.20181112gitb94b890.fc29, muffin-4.0.2-1.fc29, nemo-4.0.2-1.fc29, nemo-extensions-4.0.0-2.fc29, python-xapp-1.4.0-1.fc29, slick-greeter-1.2.2-4.fc29, xapps-1.4.2-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.